Main Page Modules Data Structures File List Data Fields Globals Related Pages

# entryInfo_s Struct Reference

`#include <header_internal.h>`

## Data Fields
int_32 | tag
int_32 | type
int_32 | offset
int_32 | count

## Field Documentation

int_32 entryInfo_s::count

| Number of tag elements. Definition at line 30 of file header_internal.h. Referenced by doHeaderUnload, headerAddEntry, headerAddI18NString, headerAppendEntry, headerCheck, headerDump, headerLoad, headerModifyEntry, headerVerifyInfo, and regionSwab.

int_32 entryInfo_s::offset

| Offset into data segment (ondisk only). Definition at line 29 of file header_internal.h. Referenced by doHeaderUnload, headerAddEntry, headerAddI18NString, headerAppendEntry, headerCheck, headerDump, headerLoad, headerModifyEntry, headerSizeof, headerVerifyInfo, offsetCmp, and regionSwab.

int_32 entryInfo_s::tag

| Tag identifier. Definition at line 27 of file header_internal.h. Referenced by doHeaderUnload, findEntry, headerAddEntry, headerCheck, headerDump, headerLoad, headerModifyEntry, headerNextIterator, headerReload, headerRemoveEntry, headerVerifyInfo, indexCmp, offsetCmp, and regionSwab.

int_32 entryInfo_s::type

| Tag data type. Definition at line 28 of file header_internal.h. Referenced by doHeaderUnload, findEntry, headerAddEntry, headerCheck, headerDump, headerLoad, headerModifyEntry, headerSizeof, headerVerifyInfo, intGetEntry, and regionSwab.

The documentation for this struct was generated from the following file:

- rpmdb/header_internal.h